Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Slatzm

    java.lang.Object
      org.netlib.lapack.Slatzm

    public class Slatzm

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  This routine is deprecated and has been replaced by routine SORMRZ.
     *
     *  SLATZM applies a Householder matrix generated by STZRQF to a matrix.

     *
     *  Let P = I - tau*u*u',   u = ( 1 ),
     *                              ( v )
     *  where v is an (m-1) vector if SIDE = 'L', or a (n-1) vector if
     *  SIDE = 'R'.
     *
     *  If SIDE equals 'L', let
     *         C = [ C1 ] 1
     *             [ C2 ] m-1
     *               n
     *  Then C is overwritten by P*C.
     *
     *  If SIDE equals 'R', let
     *         C = [ C1, C2 ] m
     *                1  n-1
     *  Then C is overwritten by C*P.
     *
     *  Arguments
     *  =========
     *
     *  SIDE    (input) CHARACTER*1
     *          = 'L': form P * C
     *          = 'R': form C * P
     *
     *  M       (input) INTEGER
     *          The number of rows of the matrix C.
     *
     *  N       (input) INTEGER
     *          The number of columns of the matrix C.
     *
     *  V       (input) REAL array, dimension
     *                  (1 + (M-1)*abs(INCV)) if SIDE = 'L'
     *                  (1 + (N-1)*abs(INCV)) if SIDE = 'R'
     *          The vector v in the representation of P. V is not used
     *          if TAU = 0.
     *
     *  INCV    (input) INTEGER
     *          The increment between elements of v. INCV <> 0
     *
     *  TAU     (input) REAL
     *          The value tau in the representation of P.
     *
     *  C1      (input/output) REAL array, dimension
     *                         (LDC,N) if SIDE = 'L'
     *                         (M,1)   if SIDE = 'R'
     *          On entry, the n-vector C1 if SIDE = 'L', or the m-vector C1
     *          if SIDE = 'R'.
     *
     *          On exit, the first row of P*C if SIDE = 'L', or the first
     *          column of C*P if SIDE = 'R'.
     *
     *  C2      (input/output) REAL array, dimension
     *                         (LDC, N)   if SIDE = 'L'
     *                         (LDC, N-1) if SIDE = 'R'
     *          On entry, the (m - 1) x n matrix C2 if SIDE = 'L', or the
     *          m x (n - 1) matrix C2 if SIDE = 'R'.
     *
     *          On exit, rows 2:m of P*C if SIDE = 'L', or columns 2:m of C*P
     *          if SIDE = 'R'.
     *
     *  LDC     (input) INTEGER
     *          The leading dimension of the arrays C1 and C2. LDC >= (1,M).

     *
     *  WORK    (workspace) REAL array, dimension
     *                      (N) if SIDE = 'L'
     *                      (M) if SIDE = 'R'
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`Slatzm()`

Method Summary
`static void` | `slatzm(java.lang.String side, int m, int n, float[] v, int _v_offset, int incv, float tau, float[] c1, int _c1_offset, float[] c2, int _c2_offset, int Ldc, float[] work, int _work_offset)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Slatzm

    public Slatzm()

Method Detail

### slatzm

    public static void slatzm(java.lang.String side,
                              int m,
                              int n,
                              float[] v,
                              int _v_offset,
                              int incv,
                              float tau,
                              float[] c1,
                              int _c1_offset,
                              float[] c2,
                              int _c2_offset,
                              int Ldc,
                              float[] work,
                              int _work_offset)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD